;***************************************************************************
include "m8c.inc"
include "memory.inc"

export  spix
export _spix

export  _g_spi
export   g_spi


area bss(RAM)
_g_spi:
 g_spi:         BLK  2  ; Dado a ser enviados pelo spi
 
 ;-----------------------------------------------
;  Private Symbols
;-----------------------------------------------
MSB:                   equ  0
LSB:                   equ  1


area    text(ROM,REL)

;***************************************************************************
; SPI
;
; Descrio  : 
; Argumentos : 
; Retorno    : no
;
;***************************************************************************

spix:							; 
_spix:	
	and  reg[PRT0DR],~020h	; CS_0
	mov  A, [g_spi + MSB]                  ;                                      
;	swap   A,X
	rlc	 A
	call sdatax
	rlc	 A
	call sdatax
	rlc	 A
	call sdatax
	rlc	 A
	call sdatax
	rlc	 A
	call sdatax
	rlc	 A
	call sdatax
	rlc	 A
	call sdatax
	rlc	 A
	call sdatax
	mov  A, [g_spi + LSB]                  ;                                      
;	swap   A,X
	rlc	 A
	call sdatax
	rlc	 A
	call sdatax
	rlc	 A
	call sdatax
	rlc	 A
	call sdatax
	rlc	 A
	call sdatax
	rlc	 A
	call sdatax
	rlc	 A
	call sdatax
	rlc	 A
	call sdatax
	or  reg[PRT0DR],020h	; CS_0
	ret

sdatax:
	and  reg[PRT0DR],~010h	; SCLK_0
	jnc   sd0
	or  reg[PRT0DR],08h	; SDATA_1
	jmp	sdx
sd0:
	and  reg[PRT0DR],~08h	; SDATA_0
sdx:
	or  reg[PRT0DR],010h	; SCLK_1
	ret
		
