	cpu LMM
	.module main.c
	.area data(ram, con, rel)
_contraste::
	.byte 50
	.dbfile ./main.c
	.dbsym e contraste _contraste c
	.area data(ram, con, rel)
	.dbfile ./main.c
	.area data(ram, con, rel)
	.dbfile ./main.c
_gflag::
	.byte 0
	.dbsym e gflag _gflag c
	.area data(ram, con, rel)
	.dbfile ./main.c
	.area data(ram, con, rel)
	.dbfile ./main.c
_oldt_mas::
	.byte 0
	.dbsym e oldt_mas _oldt_mas c
	.area data(ram, con, rel)
	.dbfile ./main.c
	.area data(ram, con, rel)
	.dbfile ./main.c
_backcolor::
	.word 65535
	.dbsym e backcolor _backcolor s
	.area data(ram, con, rel)
	.dbfile ./main.c
	.area data(ram, con, rel)
	.dbfile ./main.c
_textcolor::
	.word 0
	.dbsym e textcolor _textcolor s
	.area data(ram, con, rel)
	.dbfile ./main.c
	.area text(rom, con, rel)
	.dbfile ./main.c
	.dbfunc e main _main fV
;              i -> X+0
_main::
	.dbline -1
	push X
	mov X,SP
	add SP,2
	.dbline 34
; //********************************************************
; // Project:     LCDColor
; // Title:      main.c
; // Description:   Siemens 176x132 Color LCD Test Code
; // Version:      V1.0
; // Compiler:    
; //********************************************************
; #define VERSION 1
; #define ISSUE 1
; 
; // Include Standard files
; #include "define.h"
; #include "delay.h"
; #include "time_slot.h"
; #include "spi.h"                    // 9-bit SPI routines using standard I/O pins
; #include  "PWM8_1.h"
; 
; // Globals
; signed char CursorX;                       // Pixel cursor for drawing characters
; signed char CursorY;
; 
; char contraste=50;                       
; unsigned char gflag=0;
; unsigned char oldt_mas=0;
; 
; BYTE bgPos;                          // BarGraph position
; int  iResult;                            // ADC result variable
; 
; unsigned short backcolor=0xFFFF;    // color of background
; unsigned short textcolor=0x0000;
; 
; 
; void main()
; {
	.dbline 37
;     int i;
; 
;     M8C_EnableGInt;                      // Enable Global interrupts
		or  F, 01h

	.dbline 40
; 
;     
; 	PRT1DR=0;
	mov REG[0x4],0
	.dbline 42
; 
; 	TimerRTC_WritePeriod(0x07);
	push X
	mov A,7
	xcall _TimerRTC_WritePeriod
	.dbline 43
; 	TimerRTC_WriteCompareValue(0x00);
	mov A,0
	xcall _TimerRTC_WriteCompareValue
	.dbline 45
; 
; 	TimerRTC_EnableInt(); 			 
	xcall _TimerRTC_EnableInt
	.dbline 46
; 	TimerRTC_Start(); 
	xcall _TimerRTC_Start
	pop X
	.dbline 47
; 	M8C_EnableGInt;
		or  F, 01h

	.dbline 49
; 
;     UART_1_Start(UART_PARITY_NONE);      // Enable UART
	push X
	mov A,0
	xcall _UART_1_Start
	.dbline 50
;     UART_1_CPutString("Carlos Magno"); // Example string
	mov A,>L2
	push A
	mov A,<L2
	mov X,A
	pop A
	xcall _UART_1_CPutString
	.dbline 51
;     UART_1_PutCRLF();
	xcall _UART_1_PutCRLF
	.dbline 53
;      
;  	PGA_1_SetGain(PGA_1_G1_00);
	mov A,-8
	xcall _PGA_1_SetGain
	.dbline 54
;    PGA_1_Start(PGA_1_MEDPOWER);         // Turn on PGA power
	mov A,2
	xcall _PGA_1_Start
	.dbline 55
;     ADCINC12_1_Start(ADCINC12_1_HIGHPOWER); // Turn on ADC power
	mov A,3
	xcall _ADCINC12_1_Start
	.dbline 56
;     ADCINC12_1_GetSamples(0);            // Sample forever
	mov A,0
	xcall _ADCINC12_1_GetSamples
	.dbline 61
; 
; 
; 
;     /* set period to eight clocks */ 
;     PWM8_1_WritePeriod(100); 
	mov A,100
	xcall _PWM8_1_WritePeriod
	.dbline 62
;     PWM8_1_WritePulseWidth(contraste);  
	mov REG[0xd0],>_contraste
	mov A,[_contraste]
	xcall _PWM8_1_WritePulseWidth
	.dbline 64
;     /* ensure interrupt is disabled */  
;     PWM8_1_DisableInt();  
	xcall _PWM8_1_DisableInt
	.dbline 66
;     /* start the PWM8! */  
;     PWM8_1_Start();  
	xcall _PWM8_1_Start
	pop X
	.dbline 68
; 
; teste();
	xcall _teste
	xjmp L4
L3:
	.dbline 76
; 
; 
; 
; 
; 
; 
;    while (1)
;    {
	.dbline 77
; 		if (time_slot_counter & TIME_SLOT_COUNTER_BIT_02) {
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter+1]
	and A,4
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter]
	and A,0
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X1
	cmp [__r1],0
	jz L6
X1:
	.dbline 77
	.dbline 79
; 			// Esta tarefa ira rodar a cada 1 ms
; 			time_slot_counter ^= TIME_SLOT_COUNTER_BIT_02; 	// Clear Time Slot Bit
	mov REG[0xd0],>_time_slot_counter
	xor [_time_slot_counter+1],4
	xor [_time_slot_counter],0
	.dbline 80
; 			time_slot_02();  
	xcall _time_slot_02
	.dbline 81
; 		}
	xjmp L7
L6:
	.dbline 82
; 		else if (time_slot_counter & TIME_SLOT_COUNTER_BIT_03) {
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter+1]
	and A,8
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter]
	and A,0
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X2
	cmp [__r1],0
	jz L8
X2:
	.dbline 82
	.dbline 84
; 			// Esta tarefa ira rodar a cada 2 ms
; 			time_slot_counter ^= TIME_SLOT_COUNTER_BIT_03; 	// Clear Time Slot Bit
	mov REG[0xd0],>_time_slot_counter
	xor [_time_slot_counter+1],8
	xor [_time_slot_counter],0
	.dbline 85
; 			time_slot_03();  
	xcall _time_slot_03
	.dbline 86
; 		}
	xjmp L9
L8:
	.dbline 87
; 		else if (time_slot_counter & TIME_SLOT_COUNTER_BIT_04) {
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter+1]
	and A,16
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter]
	and A,0
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X3
	cmp [__r1],0
	jz L10
X3:
	.dbline 87
	.dbline 89
; 			// Esta tarefa ira rodar a cada 4 ms
; 			time_slot_counter ^= TIME_SLOT_COUNTER_BIT_04; 	// Clear Time Slot Bit
	mov REG[0xd0],>_time_slot_counter
	xor [_time_slot_counter+1],16
	xor [_time_slot_counter],0
	.dbline 90
; 			time_slot_04();  
	xcall _time_slot_04
	.dbline 91
; 		}
	xjmp L11
L10:
	.dbline 92
; 		else if (time_slot_counter & TIME_SLOT_COUNTER_BIT_05) {
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter+1]
	and A,32
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter]
	and A,0
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X4
	cmp [__r1],0
	jz L12
X4:
	.dbline 92
	.dbline 94
; 			// Esta tarefa ira rodar a cada 8 ms
; 			time_slot_counter ^= TIME_SLOT_COUNTER_BIT_05; 	// Clear Time Slot Bit
	mov REG[0xd0],>_time_slot_counter
	xor [_time_slot_counter+1],32
	xor [_time_slot_counter],0
	.dbline 95
; 			time_slot_05();  
	xcall _time_slot_05
	.dbline 96
; 		}
	xjmp L13
L12:
	.dbline 97
; 		else if (time_slot_counter & TIME_SLOT_COUNTER_BIT_06) {
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter+1]
	and A,64
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter]
	and A,0
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X5
	cmp [__r1],0
	jz L14
X5:
	.dbline 97
	.dbline 99
; 			// Esta tarefa ira rodar a cada 16 ms
; 			time_slot_counter ^= TIME_SLOT_COUNTER_BIT_06; 	// Clear Time Slot Bit
	mov REG[0xd0],>_time_slot_counter
	xor [_time_slot_counter+1],64
	xor [_time_slot_counter],0
	.dbline 100
; 			time_slot_06();  
	xcall _time_slot_06
	.dbline 101
; 		}
	xjmp L15
L14:
	.dbline 102
; 		else if (time_slot_counter & TIME_SLOT_COUNTER_BIT_07) {
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter+1]
	and A,-128
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter]
	and A,0
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X6
	cmp [__r1],0
	jz L16
X6:
	.dbline 102
	.dbline 104
; 			// Esta tarefa ira rodar a cada 32 ms
; 			time_slot_counter ^= TIME_SLOT_COUNTER_BIT_07; 	// Clear Time Slot Bit
	mov REG[0xd0],>_time_slot_counter
	xor [_time_slot_counter+1],-128
	xor [_time_slot_counter],0
	.dbline 105
; 			time_slot_07();  
	xcall _time_slot_07
	.dbline 106
; 		}
	xjmp L17
L16:
	.dbline 107
; 		else if (time_slot_counter & TIME_SLOT_COUNTER_BIT_08) {
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter+1]
	and A,0
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter]
	and A,1
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X7
	cmp [__r1],0
	jz L18
X7:
	.dbline 107
	.dbline 109
; 			// Esta tarefa ira rodar a cada 64 ms
; 			time_slot_counter ^= TIME_SLOT_COUNTER_BIT_08; 	// Clear Time Slot Bit
	mov REG[0xd0],>_time_slot_counter
	xor [_time_slot_counter+1],0
	xor [_time_slot_counter],1
	.dbline 110
; 			time_slot_08();  
	xcall _time_slot_08
	.dbline 111
; 		}
	xjmp L19
L18:
	.dbline 112
; 		else if (time_slot_counter & TIME_SLOT_COUNTER_BIT_09) {
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter+1]
	and A,0
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter]
	and A,2
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X8
	cmp [__r1],0
	jz L20
X8:
	.dbline 112
	.dbline 114
; 			// Esta tarefa ira rodar a cada 128 ms
; 			time_slot_counter ^= TIME_SLOT_COUNTER_BIT_09; 	// Clear Time Slot Bit
	mov REG[0xd0],>_time_slot_counter
	xor [_time_slot_counter+1],0
	xor [_time_slot_counter],2
	.dbline 115
; 			time_slot_09();
	xcall _time_slot_09
	.dbline 116
; 		}
	xjmp L21
L20:
	.dbline 117
; 		else if (time_slot_counter & TIME_SLOT_COUNTER_BIT_10) {
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter+1]
	and A,0
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter]
	and A,4
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X9
	cmp [__r1],0
	jz L22
X9:
	.dbline 117
	.dbline 119
; 			// Esta tarefa ira rodar a cada 256 ms
; 			time_slot_counter ^= TIME_SLOT_COUNTER_BIT_10; 	// Clear Time Slot Bit
	mov REG[0xd0],>_time_slot_counter
	xor [_time_slot_counter+1],0
	xor [_time_slot_counter],4
	.dbline 120
; 			time_slot_10();
	xcall _time_slot_10
	.dbline 121
; 		}
	xjmp L23
L22:
	.dbline 122
; 		else if (time_slot_counter & TIME_SLOT_COUNTER_BIT_11) {
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter+1]
	and A,0
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter]
	and A,8
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X10
	cmp [__r1],0
	jz L24
X10:
	.dbline 122
	.dbline 124
; 			// Esta tarefa ira rodar a cada 512 ms
; 			time_slot_counter ^= TIME_SLOT_COUNTER_BIT_11; 	// Clear Time Slot Bit
	mov REG[0xd0],>_time_slot_counter
	xor [_time_slot_counter+1],0
	xor [_time_slot_counter],8
	.dbline 125
; 			time_slot_11();
	xcall _time_slot_11
	.dbline 126
; 		}
	xjmp L25
L24:
	.dbline 127
; 		else if (time_slot_counter & TIME_SLOT_COUNTER_BIT_12) {
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter+1]
	and A,0
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter]
	and A,16
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X11
	cmp [__r1],0
	jz L26
X11:
	.dbline 127
	.dbline 129
; 			// Esta tarefa ira rodar a cada 1024 ms
; 			time_slot_counter ^= TIME_SLOT_COUNTER_BIT_12; 	// Clear Time Slot Bit
	mov REG[0xd0],>_time_slot_counter
	xor [_time_slot_counter+1],0
	xor [_time_slot_counter],16
	.dbline 130
; 			time_slot_12();
	xcall _time_slot_12
	.dbline 131
; 		}
	xjmp L27
L26:
	.dbline 132
; 		else if (time_slot_counter & TIME_SLOT_COUNTER_BIT_13) {
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter+1]
	and A,0
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter]
	and A,32
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X12
	cmp [__r1],0
	jz L28
X12:
	.dbline 132
	.dbline 134
; 			// Esta tarefa ira rodar a cada 2048 ms
; 			time_slot_counter ^= TIME_SLOT_COUNTER_BIT_13; 	// Clear Time Slot Bit
	mov REG[0xd0],>_time_slot_counter
	xor [_time_slot_counter+1],0
	xor [_time_slot_counter],32
	.dbline 135
; 			time_slot_13();
	xcall _time_slot_13
	.dbline 136
; 		}
	xjmp L29
L28:
	.dbline 137
; 		else if (time_slot_counter & TIME_SLOT_COUNTER_BIT_14) {
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter+1]
	and A,0
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter]
	and A,64
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X13
	cmp [__r1],0
	jz L30
X13:
	.dbline 137
	.dbline 139
; 			// Esta tarefa ira rodar a cada 4096 ms
; 			time_slot_counter ^= TIME_SLOT_COUNTER_BIT_14; 	// Clear Time Slot Bit
	mov REG[0xd0],>_time_slot_counter
	xor [_time_slot_counter+1],0
	xor [_time_slot_counter],64
	.dbline 140
; 			time_slot_14();
	xcall _time_slot_14
	.dbline 141
; 		}
	xjmp L31
L30:
	.dbline 142
; 		else if (time_slot_counter & TIME_SLOT_COUNTER_BIT_15) {
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter+1]
	and A,0
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_time_slot_counter
	mov A,[_time_slot_counter]
	and A,-128
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X14
	cmp [__r1],0
	jz L32
X14:
	.dbline 142
	.dbline 144
; 			// Esta tarefa ira rodar a cada 8192 ms
; 			time_slot_counter ^= TIME_SLOT_COUNTER_BIT_15; 	// Clear Time Slot Bit
	mov REG[0xd0],>_time_slot_counter
	xor [_time_slot_counter+1],0
	xor [_time_slot_counter],-128
	.dbline 145
; 			time_slot_15();
	xcall _time_slot_15
	.dbline 146
; 		}
L32:
	.dbline 147
; 		else {
	.dbline 148
; 		}
L33:
L31:
L29:
L27:
L25:
L23:
L21:
L19:
L17:
L15:
L13:
L11:
L9:
L7:
	.dbline 151
; 		
; 
; 		if (t_mas)
	tst REG[0x4],1
	jz L34
	.dbline 152
; 		{
	.dbline 153
; 			if(oldt_mas!=t_mas)ADCONTR;
	mov A,REG[0x4]
	mov REG[0xd0],>__r0
	mov [__r0],A
	and [__r0],1
	mov REG[0xd0],>_oldt_mas
	mov A,[_oldt_mas]
	mov REG[0xd0],>__r0
	cmp A,[__r0]
	jz L36
	.dbline 153
	mov REG[0xd0],>_gflag
	mov A,[_gflag]
	xor A,1
	mov [_gflag],A
L36:
	.dbline 154
; 			if (IFCONTR)
	mov REG[0xd0],>_gflag
	tst [_gflag],1
	jz L38
	.dbline 155
; 			{
	.dbline 156
; 				delay_ms(100); 
	push X
	mov A,100
	xcall _delay_ms
	pop X
	.dbline 157
; 				contraste++; 
	mov REG[0xd0],>_contraste
	inc [_contraste]
	.dbline 158
	mov A,100
	cmp A,[_contraste]
	jnc L40
X15:
	.dbline 158
	.dbline 158
	mov REG[0xd0],>_contraste
	mov [_contraste],100
	.dbline 158
L40:
	.dbline 158
; 				if(contraste>100){contraste=100;};
	.dbline 159
; 				PWM8_1_WritePulseWidth(contraste);
	push X
	mov REG[0xd0],>_contraste
	mov A,[_contraste]
	xcall _PWM8_1_WritePulseWidth
	pop X
	.dbline 161
; 				
; 			}
	xjmp L39
L38:
	.dbline 163
; 			else 
; 			{
	.dbline 164
; 				delay_ms(100);
	push X
	mov A,100
	xcall _delay_ms
	pop X
	.dbline 165
; 				contraste--; 
	mov REG[0xd0],>_contraste
	dec [_contraste]
	.dbline 166
; 				if(contraste==255) contraste=0;
	cmp [_contraste],-1
	jnz L42
	.dbline 166
	mov [_contraste],0
L42:
	.dbline 167
; 				PWM8_1_WritePulseWidth(contraste);
	push X
	mov REG[0xd0],>_contraste
	mov A,[_contraste]
	xcall _PWM8_1_WritePulseWidth
	pop X
	.dbline 169
; 				
; 			}
L39:
	.dbline 170
; 			oldt_mas=t_mas;
	mov A,REG[0x4]
	and A,1
	mov REG[0xd0],>_oldt_mas
	mov [_oldt_mas],A
	.dbline 171
; 		}
L34:
	.dbline 174
; 		
; 	
; 		if (ADCINC12_1_fIsDataAvailable() != 0) // If ADC sample is ready...
	push X
	xcall _ADCINC12_1_fIsDataAvailable
	mov REG[0xd0],>__r0
	pop X
	cmp A,0
	jz L44
	.dbline 175
; 		{
	.dbline 176
; 			iResult = ADCINC12_1_iGetData() + 2048; // Get result, convert to unsigned and clear flag
	push X
	xcall _ADCINC12_1_iGetData
	mov REG[0xd0],>__r0
	mov [__r0],X
	pop X
	add A,0
	mov REG[0xd0],>_iResult
	mov [_iResult+1],A
	mov REG[0xd0],>__r0
	mov A,[__r0]
	adc A,8
	mov REG[0xd0],>_iResult
	mov [_iResult],A
	.dbline 177
; 			ADCINC12_1_ClearFlag();
	push X
	xcall _ADCINC12_1_ClearFlag
	pop X
	.dbline 180
; 			
; 			//UART_1_PutSHexInt(iResult);    // Print result to UART
; 			 UART_1_SendData((iResult>>8) & 0xff);
	mov REG[0xd0],>_iResult
	mov A,[_iResult+1]
	push A
	mov A,[_iResult]
	mov REG[0xd0],>__r0
	mov [__r0],A
	pop A
	mov A,[__r0]
	mov [__r1],A
	tst [__r1],-128
	jnz X16
	mov [__r0],0
	jmp X17
X16:
	mov REG[0xd0],>__r0
	mov [__r0],-1
X17:
	mov REG[0xd0],>__r0
	and [__r0],0
	mov A,[__r1]
	push X
	xcall _UART_1_SendData
	pop X
	.dbline 181
; 			 UART_1_SendData(iResult & 0xff);
	mov REG[0xd0],>_iResult
	mov A,[_iResult+1]
	mov REG[0xd0],>__r0
	push X
	xcall _UART_1_SendData
	pop X
	.dbline 186
; 			 //UART_1_SendData(',')  
; 
; 			//UART_1_PutCRLF();              // Tack on a CR and LF
; 		
; 			bgPos =  128 - (BYTE)(iResult/32 & 0x7F);
	mov REG[0xd0],>_iResult
	mov A,0
	push A
	mov A,32
	push A
	mov A,[_iResult]
	push A
	mov A,[_iResult+1]
	push A
	mov REG[0xd0],>__r0
	xcall __divmod_16X16_16
	pop A
	mov [__r1],A
	pop A
	mov [__r0],A
	add SP,-2
	and [__r1],127
	and [__r0],0
	mov A,[__r1]
	mov [__r0],A
	mov A,-128
	sub A,[__r0]
	mov REG[0xd0],>_bgPos
	mov [_bgPos],A
	.dbline 187
; 		}
L44:
	.dbline 190
L4:
	.dbline 75
	xjmp L3
X0:
	.dbline -2
	.dbline 191
; 		
; 
; 	}
; }
L1:
	add SP,-2
	pop X
	.dbline 0 ; func end
	jmp .
	.dbsym l i 0 I
	.dbend
	.dbfunc e teste _teste fV
;              T -> X+2
;          Timeb -> X+1
;             Xy -> X+0
_teste::
	.dbline -1
	push X
	mov X,SP
	add SP,3
	.dbline 195
; 
; 
; void teste()
; {
	.dbline 198
; 	unsigned char  T, Xy, Timeb;
; 
; 	S65_init();
	xcall _S65_init
	.dbline 200
; 	
; 	S65_cls(Schwarz);
	mov A,0
	push A
	push A
	push A
	push A
	xcall _S65_cls
	.dbline 202
; 
; 	S65_line(40, 40, 60, 60, Hgelb);
	mov A,71
	push A
	mov A,119
	push A
	mov A,-88
	push A
	mov A,0
	push A
	mov A,60
	push A
	push A
	mov A,40
	push A
	push A
	xcall _S65_line
	add SP,-12
	.dbline 204
; 
; 	S65_line(40, 40, 60, 80, Cyan);
	mov A,68
	push A
	mov A,-1
	push A
	mov A,-32
	push A
	mov A,0
	push A
	mov A,80
	push A
	mov A,60
	push A
	mov A,40
	push A
	push A
	xcall _S65_line
	.dbline 205
; 	S65_line(40, 40, 80, 60, Rot);
	mov A,71
	push A
	mov A,120
	push A
	mov A,0
	push A
	push A
	mov A,60
	push A
	mov A,80
	push A
	mov A,40
	push A
	push A
	xcall _S65_line
	add SP,-16
	.dbline 210
	mov [X+0],30
	xjmp L50
L47:
	.dbline 210
	.dbline 211
	mov A,71
	push A
	mov A,119
	push A
	mov A,-88
	push A
	mov A,0
	push A
	mov A,40
	push A
	mov A,[X+0]
	push A
	xcall _S65_pset
	.dbline 212
	mov A,71
	push A
	mov A,119
	push A
	mov A,-88
	push A
	mov A,0
	push A
	mov A,[X+0]
	push A
	mov A,40
	push A
	xcall _S65_pset
	add SP,-12
	.dbline 214
L48:
	.dbline 210
	inc [X+0]
L50:
	.dbline 210
; 
; //######################################
; //'       Kreuz zeichen - Sinal de Cruz
; //######################################
; 	for(Xy=30;Xy<=50;Xy++){
	mov A,50
	cmp A,[X+0]
	jnc L47
X18:
	.dbline 216
; 	 S65_pset(Xy, 40, Hgelb);
; 	 S65_pset(40, Xy, Hgelb);
; 	
; 	}
; 	
; 	for(Xy=20;Xy<=100;Xy++)
	mov [X+0],20
	xjmp L54
L51:
	.dbline 217
	mov A,68
	push A
	mov A,-1
	push A
	mov A,-32
	push A
	mov A,0
	push A
	mov A,30
	push A
	mov A,[X+0]
	push A
	xcall _S65_pset
	add SP,-6
L52:
	.dbline 216
	inc [X+0]
L54:
	.dbline 216
	mov A,100
	cmp A,[X+0]
	jnc L51
X19:
	.dbline 223
; 		S65_pset(Xy, 30, Cyan);
; 
; 
; //'#####################################
; //'  Titelscreen - Tela inicial
; //'#####################################
; 	S65_cls(Schwarz);
	mov A,0
	push A
	push A
	push A
	push A
	xcall _S65_cls
	.dbline 225
; 	//timebase fr DIV/T 1..6
; 	Timeb = 1;
	mov [X+1],1
	.dbline 227
; 	
; 	LCDString(10,10,_5x7Font,0,Weiss);
	mov A,71
	push A
	mov A,127
	push A
	mov A,-1
	push A
	mov A,0
	push A
	push A
	push A
	push A
	push A
	push A
	mov A,10
	push A
	push A
	xcall _LCDString
	add SP,-15
	.dbline 229
; 	
; 	LCDVLine(X/2,0,Y,Lila);                      // Top horizontal
	mov A,71
	push A
	mov A,120
	push A
	mov A,31
	push A
	mov A,0
	push A
	mov A,-124
	push A
	mov A,0
	push A
	mov A,88
	push A
	xcall _LCDVLine
	.dbline 232
; 	
; 	//S65_line(20 , 20 , 80 , 170 , Cyan)
; 	S65_line(20, 20, 120, 20, Cyan);
	mov A,68
	push A
	mov A,-1
	push A
	mov A,-32
	push A
	mov A,0
	push A
	mov A,20
	push A
	mov A,120
	push A
	mov A,20
	push A
	push A
	xcall _S65_line
	add SP,-15
	.dbline 233
; 	for(Xy=20;Xy<=175;Xy++)
	mov [X+0],20
	xjmp L58
L55:
	.dbline 234
	mov A,68
	push A
	mov A,-1
	push A
	mov A,-32
	push A
	mov A,0
	push A
	mov A,[X+0]
	push A
	mov A,20
	push A
	xcall _S65_pset
	add SP,-6
L56:
	.dbline 233
	inc [X+0]
L58:
	.dbline 233
	mov A,-81
	cmp A,[X+0]
	jnc L55
X20:
	.dbline 236
; 		S65_pset(20, Xy, Cyan);
; 
; 	LEDTON;
	or REG[ 0],4
	.dbline -2
	.dbline 237
; }
L46:
	add SP,-3
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l T 2 c
	.dbsym l Timeb 1 c
	.dbsym l Xy 0 c
	.dbend
	.area data(ram, con, rel)
	.dbfile ./main.c
_iResult::
	.byte 0,0
	.dbsym e iResult _iResult I
	.area data(ram, con, rel)
	.dbfile ./main.c
_bgPos::
	.byte 0
	.dbsym e bgPos _bgPos c
	.area data(ram, con, rel)
	.dbfile ./main.c
_CursorY::
	.byte 0
	.dbsym e CursorY _CursorY C
	.area data(ram, con, rel)
	.dbfile ./main.c
_CursorX::
	.byte 0
	.dbsym e CursorX _CursorX C
	.area lit(rom, con, rel)
L2:
	.byte 'C,'a,'r,'l,'o,'s,32,'M,'a,'g,'n,'o,0
